## org.gnu.gdk
Class Keymap

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gdk.Keymap

public class Keymap
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Keymap()`

Method Summary
`protected static Handle` `gdk_keymap_get_default()`
`protected static int` `gdk_keymap_get_direction(Handle keymap)`
`protected static boolean` `gdk_keymap_get_entries_for_keycode(Handle keymap, int hardwareKeycode, Handle[] keys, int[] keyvals)`
`protected static boolean` `gdk_keymap_get_entries_for_keyval(Handle keymap, int keyval, Handle[] keys)`
`protected static int` `gdk_keymap_get_type()` BEGINNING OF JNI CODE
`protected static int` `gdk_keymap_lookup_key(Handle keymap, Handle key)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Keymap

    public Keymap()

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gdk_keymap_get_type

    protected static final int gdk_keymap_get_type()

  BEGINNING OF JNI CODE

### gdk_keymap_get_default

    protected static final Handle gdk_keymap_get_default()

### gdk_keymap_lookup_key

    protected static final int gdk_keymap_lookup_key(Handle keymap,
                                                     Handle key)

### gdk_keymap_get_entries_for_keyval

    protected static final boolean gdk_keymap_get_entries_for_keyval(Handle keymap,
                                                                     int keyval,
                                                                     Handle[] keys)

### gdk_keymap_get_entries_for_keycode

    protected static final boolean gdk_keymap_get_entries_for_keycode(Handle keymap,
                                                                      int hardwareKeycode,
                                                                      Handle[] keys,
                                                                      int[] keyvals)

### gdk_keymap_get_direction

    protected static final int gdk_keymap_get_direction(Handle keymap)